function loadArea(areaIdentifier)
{
    $('#' + areaIdentifier).hover(
    function() {
        $('.' + areaIdentifier).fadeIn("fast");
    },
    function() { }
    );
    $('.' + areaIdentifier).hover(
    function() {},
    function() {
        $('.' + areaIdentifier).fadeOut("fast");
    }
    );
    $('.' + areaIdentifier).hide()
}
     
function loadXML(xmlPath)
{
	var xhttp;
    if (window.XMLHttpRequest)
    {
        xhttp=new XMLHttpRequest()
    }
    else
    {
        xhttp=new ActiveXObject("Microsoft.XMLHTTP")
    }
    xhttp.open("GET",xmlPath,false);
    xhttp.send("");
    return xhttp.responseXML;
}

function getAttribute(obj, att)
{
    try
    {    
        return obj.getAttributeNode(att).value;
    }
    catch(e)
    {
        return obj.attributes[att].value;
    }
}

function loadFile()
{
    var xml = loadXML("data.xml");
    var t = 0;
        
    //load data from root node
	var root = xml.childNodes[0];
	
	if (root.tagName != "map")
	{
	    root = xml.childNodes[1];
	}
	
    var title = getAttribute(root, "title");
    var imgUrl = getAttribute(root, "imgUrl");
    var width = getAttribute(root, "width");
    var height = getAttribute(root, "height");
    	
    //set main attributes
    document.title = title;
    var image = document.getElementById("mainImage");
    image.src = imgUrl;
    image.alt = title;
    image.style.width = width;
    image.style.height = height;
    
    var styles = "<style type=\"text/css\">\n";
    var imageMap = "";
    var popups = "";
    var contentToLoad = new Array(root.childElementCount);
    
    var count = root.childElementCount
    if (!root.childElementCount)
    {   
        count = root.childNodes.length;
    }
    var m = 0;
    
	for (var i = 0; i < count + m; i++)
    {
        var node;
        do
        {
            try
            {
		        node = root.children[i+m];
		    }
		    catch (e)
		    {
		        node = root.childNodes[i+m];
		    }
		    
		    if (m > 100)
		    {   
		        break;
		    }   
		    m++;
		}
		while (!(node && (node.attributes || node.getAttributeNode)));
		m--;
		try
		{
		    var name = getAttribute(node, "name");
		    var popupUrl = getAttribute(node, "popupUrl");
		    var alt = getAttribute(node, "alt");
		    var coords = getAttribute(node, "coords");
		    var popupLeft = getAttribute(node, "popupLeft");
		    var popupTop = getAttribute(node, "popupTop");
		    var popupWidth = getAttribute(node, "popupWidth");
		    var popupHeight = getAttribute(node, "popupHeight");
		    var innerHtml = "";
		    if (!node.textContent)
		    {
		        innerHtml = node.text;
		    }
		    else
		    {
		        innerHtml = node.textContent;
		    }
    	
            //add to styles
		    styles += "\t.Content" + name + " { left: " + popupLeft + "; top: " + popupTop + "; height: " + popupHeight + "; width: " + popupWidth + ";}\n";
            
            //add to imageMap
		    imageMap += "\t\t<area coords='" + coords + "' href='#' shape='rect' alt='" + alt + "' id='Content" + name + "' />\n"
    		
            //add to popups
		    popups += "\t\t<div class='Content" + name + " ContentBase'><div class='PopupText'>" + innerHtml + "</div><div class='PopupImage'><img src='" + popupUrl + "' alt='" + alt + "' /></div></div>";
    		
            //add to contentToLoad
		    contentToLoad[i] ="Content" + name;
		} catch (e) {
		}
    }
	
	styles += "</style>";
    
    $("#Map").append(imageMap);
    $("#head").append(styles);
    $(".MainContent").append(popups);
    //load content
    for (var i = 0; i < count+m; i++)
    {
        if (contentToLoad[i])
        {    
            loadArea(contentToLoad[i]);
        }
    }
}