<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="@title"/>
        </title>        
        <link href="style.css" type="text/css" />
        <style type="text/css">
          .MainContent
          {
            position: absolute;
            width: <xsl:value-of select="@width"/>;
            height: <xsl:value-of select="@height"/>;
          }
          <xsl:for-each select="map/content">
            .Content<xsl:value-of select="map/content@name"/>
            {
            left: <xsl:value-of select="map/content@popupLeft"/>;
            top: <xsl:value-of select="map/content@popupTop"/>;
            height: <xsl:value-of select="map/content@popupWidth"/>;
            width: <xsl:value-of select="map/content@popupHeight"/>;
            }
          </xsl:for-each>
        </style>
      </head>
      <body>
        <div class="MainContent">
          <img src='<xsl:value-of select="@imgUrl"/>' alt='<xsl:value-of select="@name"/>' class='main_image' usemap="#Map" />
          <map name="Map">
            <xsl:for-each select="map/content">
              <area coords='<xsl:value-of select="map/content@coords"/>' href="#" shape="rect" alt="" id='Content<xsl:value-of select="map/content@name"/>' />
            </xsl:for-each>            
          </map>

          <xsl:for-each select="map/content">
            <div class="Content<xsl:value-of select="@name"/> ContentBase">
              <div class="PopupText">
                <xsl:value-of select="map/content"/>
              </div>
              <div class="PopupImage">
                <img src="<xsl:value-of select="map/content@popupUrl"/>" alt="<xsl:value-of select="map/content@alt"/>" />
              </div>
            </div>
          </xsl:for-each>            
          
        </div>

        <script type="text/javascript" src="http://www.google.com/jsapi" />
        <script type="text/javascript">
          google.load("jquery", "1.4");
        </script>
        <script type="text/javascript" src="script.js" />
        <script type="text/javascript">
          google.setOnLoadCallback(function() {
            <xsl:for-each select="map/content">
              loadArea('Content<xsl:for-each select="map/content@name">');
            </xsl:for-each>
          });
        </script>
      </body>
    </html>    
  </xsl:template>
</xsl:stylesheet>